summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-12-31 08:19:20 +0000
committerV3n3RiX <venerix@koprulu.sector>2022-12-31 08:19:20 +0000
commit6989a301768c924a6014fdce19b28de541ad557a (patch)
tree48fc14349566cfd64cf81015dcbfbfe5c4360186 /dev-python
parentd897af505afa85942967dd218e3005a4ad906e5a (diff)
gentoo auto-resync : 31:12:2022 - 08:19:20
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/GitPython/GitPython-3.1.30.ebuild83
-rw-r--r--dev-python/GitPython/Manifest4
-rw-r--r--dev-python/Manifest.gzbin260508 -> 260514 bytes
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.26.41.ebuild68
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.29.41.ebuild74
-rw-r--r--dev-python/hatchling/Manifest2
-rw-r--r--dev-python/hatchling/hatchling-1.12.0.ebuild77
-rw-r--r--dev-python/lz4/Manifest2
-rw-r--r--dev-python/lz4/lz4-4.3.2.ebuild42
-rw-r--r--dev-python/pip-run/Manifest2
-rw-r--r--dev-python/pip-run/pip-run-10.0.1.ebuild54
-rw-r--r--dev-python/rich/Manifest2
-rw-r--r--dev-python/rich/rich-13.0.0.ebuild48
-rw-r--r--dev-python/tox/Manifest2
-rw-r--r--dev-python/tox/tox-4.1.2.ebuild96
17 files changed, 560 insertions, 0 deletions
diff --git a/dev-python/GitPython/GitPython-3.1.30.ebuild b/dev-python/GitPython/GitPython-3.1.30.ebuild
new file mode 100644
index 000000000000..8c785a54a687
--- /dev/null
+++ b/dev-python/GitPython/GitPython-3.1.30.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.10
+SMMAP_P=smmap-5.0.0
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="
+ https://github.com/gitpython-developers/GitPython/
+ https://pypi.org/project/GitPython/
+"
+SRC_URI="
+ mirror://pypi/${PN::1}/${PN}/${P}.tar.gz
+ test? (
+ https://dev.gentoo.org/~mgorny/dist/${TEST_P}.gitbundle
+ https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
+ https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "travis@ci.com" || die
+ git config --global user.name "Travis Runner" || die
+
+ git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+ git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb || die
+ git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+ cd "${T}"/test || die
+ git rev-parse HEAD > .git/refs/remotes/origin/master || die
+ TRAVIS=1 ./init-tests-after-clone.sh || die
+ cat test/fixtures/.gitconfig >> ~/.gitconfig || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # performance tests are unreliable by design
+ test/performance
+ # unimpoortant and problematic
+ test/test_installation.py
+ # Internet
+ test/test_repo.py::TestRepo::test_leaking_password_in_clone_logs
+ # requires which(1)
+ # https://github.com/gitpython-developers/GitPython/pull/1525
+ test/test_git.py::TestGit::test_refresh
+ # TODO
+ test/test_submodule.py::TestSubmodule::test_base_rw
+ test/test_submodule.py::TestSubmodule::test_git_submodules_and_add_sm_with_new_commit
+ test/test_submodule.py::TestSubmodule::test_list_only_valid_submodules
+ test/test_submodule.py::TestSubmodule::test_root_module
+ )
+
+ epytest test
+}
diff --git a/dev-python/GitPython/Manifest b/dev-python/GitPython/Manifest
index 54291471e705..14fb1a59de76 100644
--- a/dev-python/GitPython/Manifest
+++ b/dev-python/GitPython/Manifest
@@ -1,6 +1,10 @@
DIST GitPython-3.1.27.gitbundle 9652508 BLAKE2B f81b6d94b302b1d4aec85096bb294df1a6a699eff4dd27a1d32083e73b031daf3ef58ec6aa6f98c7693ef187b21de9ea242fa37a88b1f51c0e17238dda978c5c SHA512 bf1011a765b51eb871f6b6a462c693e4e79bb0ba81103d4f268b780b86ab12112c44f74c1d68e93388d1f86c068f6c2336f33ea12dce2e0b2302c940ebb9c49f
DIST GitPython-3.1.27.tar.gz 192188 BLAKE2B 3cab995a17d8eca8d4301367b1ee7a2c3c0a46a217f6e6d89e1bb4e62b733d21cd6d9210faac49c3c905343067e819f8c37ac9cc69d9fc33ce948b63fd53714e SHA512 6f855bcfc380c1a83a97807ca8ddcc4dfe8258f3aba0790142ef41f28befff44847aec925e523eaac47fd6c0078eb6296f52bb4b7d2be7d59ad95bbeb930fe28
+DIST GitPython-3.1.30.gitbundle 9945082 BLAKE2B ac3e530509d459303c0c465668c92073d0532bb75c0635c9e5521857132c2d3c18f0e30b85830cf101fc0c79cde33a5eaf459cddbd66abeb6185453d90e4077d SHA512 e43275e8ffc3fb02e360503de3cd9d0b2c817f870361fe6bcfcd9dec30da077c4c685f57bce408ec670f2fb49d265abca34bf14d806a3ea54fd25f9eaf5019b3
+DIST GitPython-3.1.30.tar.gz 195508 BLAKE2B ba3dcb7c7aba8ec42842e6240777b8823e641139e6704641a7236ea07b2a82966638fb074c8fe3ff47b66e23aa526cfc899d8c28359f260f62fd1962a6de66de SHA512 067e64c801ca3882d70aca7706b3a57a51597817f0a3f03290a17e3ebb0fa0fd04cd1d72a32eae3bb72b6c486ffd26d1ede9cee5b17d99ffceb0f8dcc83081b9
+DIST gitdb-4.0.10.gitbundle 1485461 BLAKE2B 5a217c609a402cd7888da1502b25d217812503cd703cda8bce3c7159732c59d7f4bcd52688a5da457f43fde1645a6db79588a6fc8cc8dff5c58e9dcbaef79b9a SHA512 98dba48f75e28eaded791f91c611e07bef73c28a7f8ac58889b05d04f4b3699a85a5be1c829ea3e2f380507a9009f35bc552bb4260564127e2863807f9b4712a
DIST gitdb-4.0.9.gitbundle 1461448 BLAKE2B dad9efdc4e9711361c851f4745df2e3fa3b2360ab58cffea971a854429cf3e11862a267efb5afa3d9ff7668dc6d1bb7f11aa033172238bea61a6252d0488b746 SHA512 eb71e6dd380e67a96a9dcd50a3a3c82aab8c7f85b1ca4258a92202a5e4cb5a1535363599c94ab26884b4cd755ce30694c1b193a95e5cd5199b5d4e2cf8e72818
DIST smmap-5.0.0.gitbundle 338621 BLAKE2B 58c151245a1353d482e06313beb1cfbe7aa23d30733b284b1745b562da1da4e6f9b8acd7d4b967987e8c29a0cfbe6d3b27790f4683f6cbd86fc22a1416bc1c24 SHA512 94b827cdcfaf31b726b48b7b0a9036e852683046b07430b79e59a1339079ca078129d5eb02d9009979ce86892748b700d6cd281e401ddf6b0048252e2181fe1f
EBUILD GitPython-3.1.27.ebuild 2207 BLAKE2B 6592c43024b52a004909dc5d980e816a2be01d4dbfa4ecfba2365292781c84aa07b39e2f458413952fdb6adc5522417f737069552c166d9dfd45516618c8aa28 SHA512 c06de5bc0d32a7f3b50e4b4da04559903f8de4777bfbe5ddf7c451ed8224e924c9d57fafe9dcc05c0a8f995322550d16823a836d2ceca40b6323d46da3ed32d8
+EBUILD GitPython-3.1.30.ebuild 2277 BLAKE2B 4aeb45eb92b0c701ccd426b95318edc1d4a1b917775e06e2271da6418bfff64e7c8ae21d468996ae471799fe8a1e1f9dd9c4cf2f03b8578388f2f7d0ebc1342c SHA512 f0a177696446c0d36dbc5a8d36f7945bf41979b9284518fbcb632cf4e27193b75fdfbd7805debda7625bf6db87dd0b9c314b290406afd79a2662ae23e7c8e396
MISC metadata.xml 407 BLAKE2B 49fd8d520d575be1489c299f22595120fad882f055b9cf2d02b87382c6d8f0ff38af694e5584b4da579aa84b82c2f1032e4afb64cafd9f4fe9212a6d67b4a752 SHA512 1bebe1e134eb86a4745cf7e297d45118a2bdd3d8a71d0034294b5c799a9cee763c63b61b34c6707c52f61058f727f4b827dd020d285fc297712b29eb7c1129ef
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 2a3ac2cfe775..e27f283713a9 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 1b7c74fc3992..d6401255ee21 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -9,6 +9,7 @@ DIST boto3-1.26.37.gh.tar.gz 584822 BLAKE2B 08c08502f3defee6365aa19a55cb5bb6c006
DIST boto3-1.26.38.gh.tar.gz 585100 BLAKE2B 22bbaad5e5ba59c29300ac1331e570b763d7544c9feddff307b2eba3e3da9076c6d64ed189d115ff63fd2deb156f6edd2a767121489c5d02e9ee0b897cb39712 SHA512 f97bd9cffd6d4c4d03841038940edb592962b72a3595e9255fc0af491aee1eb1742e819861c8f207383062f6ec284f8ecc37e9a30c59eb1e7702066b4a7c988f
DIST boto3-1.26.39.gh.tar.gz 585471 BLAKE2B acf5631bccdc96f540bdd9396084f09d0b3d070f6b0d3a85267eeb54b1c1b1e5e38b662114dd8a52fb839f168f6d5694647a87559c389f4acbc23ee6bc0dd38d SHA512 d795dd9a553932d75317cf0f528757be201e6655e088499733318068fd8d15bb04dc67d370b1d5160b46eb3fc4ed489dc66181ac12e2d91c0b3a3c86043abdd0
DIST boto3-1.26.40.gh.tar.gz 585787 BLAKE2B b738ffbae9d03b3f1d87dbdd0296007f69b7665e5aafa63c986205dc0bf77e1fab60e6079845a7a2419a81bfbc681c5a48d7557be348532df13b09284c417dba SHA512 b86f3109a55c244e231e00bc9d098da0a797f0d88cc9b033e39decc49c5288d437d26db7ee403cbbc48f3e66d3646117824167f5eed4629d315686da24b6511b
+DIST boto3-1.26.41.gh.tar.gz 586086 BLAKE2B 8f5fac4e26a8ff34e91ee99ab4f93b6c31174cea7fdb1a7e98c942601324fd4128b4609fb1b28d7daf4139dfc1e0fc75760d64693f33e225cc4180c83867aebb SHA512 d87db9db58315de796750d478d6488815cd37307693305d2c6fd0e5f1d04aef51190fa438d942412def7d0075ebb23d440508415459bd9dda83302d29e7cc646
EBUILD boto3-1.26.20.ebuild 1579 BLAKE2B 394d8a1bb7a1036ab4821bc789c9eea285f8a6a7c21e751d60c94a53d5fdd37119eab54bfd19bfe0856b7557df04340f50c7cebbe631234e8f582e7d62af13ec SHA512 beee3b634e3b1d66365beb2e97b9d09188fa795e00d9d05f2101de423128741ee1f8ad8ae4b0c35f1e6c6473ce73cc3acf47d9141029b4435d39a9803a5fe1b2
EBUILD boto3-1.26.29.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.26.31.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
@@ -20,5 +21,6 @@ EBUILD boto3-1.26.37.ebuild 1587 BLAKE2B 2fff9e50b68aab4197c1dda600ba71e8ee090ea
EBUILD boto3-1.26.38.ebuild 1587 BLAKE2B 2fff9e50b68aab4197c1dda600ba71e8ee090ea02195375d9a54afe0eaaccec42d917a8057878e5a0bb1a19adc79ff40ec8f3074888145409bd240cd5a28ee48 SHA512 819fea2080e15d23d5bc642aa56cabcf38852c77f06a495e08dea653deafa588284d5569070acdc2a5c534f9e217e8ea4d045cf39ab735437d81589fd97d639b
EBUILD boto3-1.26.39.ebuild 1587 BLAKE2B 2fff9e50b68aab4197c1dda600ba71e8ee090ea02195375d9a54afe0eaaccec42d917a8057878e5a0bb1a19adc79ff40ec8f3074888145409bd240cd5a28ee48 SHA512 819fea2080e15d23d5bc642aa56cabcf38852c77f06a495e08dea653deafa588284d5569070acdc2a5c534f9e217e8ea4d045cf39ab735437d81589fd97d639b
EBUILD boto3-1.26.40.ebuild 1587 BLAKE2B 2fff9e50b68aab4197c1dda600ba71e8ee090ea02195375d9a54afe0eaaccec42d917a8057878e5a0bb1a19adc79ff40ec8f3074888145409bd240cd5a28ee48 SHA512 819fea2080e15d23d5bc642aa56cabcf38852c77f06a495e08dea653deafa588284d5569070acdc2a5c534f9e217e8ea4d045cf39ab735437d81589fd97d639b
+EBUILD boto3-1.26.41.ebuild 1587 BLAKE2B 2fff9e50b68aab4197c1dda600ba71e8ee090ea02195375d9a54afe0eaaccec42d917a8057878e5a0bb1a19adc79ff40ec8f3074888145409bd240cd5a28ee48 SHA512 819fea2080e15d23d5bc642aa56cabcf38852c77f06a495e08dea653deafa588284d5569070acdc2a5c534f9e217e8ea4d045cf39ab735437d81589fd97d639b
EBUILD boto3-9999.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.26.41.ebuild b/dev-python/boto3/boto3-1.26.41.ebuild
new file mode 100644
index 000000000000..aa8071e64d5e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.41.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 04aa7bccd5b1..4cdf647997f7 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -9,6 +9,7 @@ DIST botocore-1.29.37.gh.tar.gz 11077206 BLAKE2B 59c877edba074d4d5858dbf0a4026c0
DIST botocore-1.29.38.gh.tar.gz 11079677 BLAKE2B 3edca40f575278b24c4b65ccaba3432715f8d7908f6e561cc475963f0865ef777a53845a1e8579f023a4943d69f33c8e1071afa6dd214d480dd48bacc8c132e1 SHA512 814863a6653f36f58bb20d4c7e154ba6d731f4046f3183ce696f515b1baa5ce342620bdfdd09eeea3847c6494add5611651487ad4d8f9c773823cf20393cb940
DIST botocore-1.29.39.gh.tar.gz 11079996 BLAKE2B 5354766665b3402861cd497ee2831cb82c7d6db977c6573cb43cd70ec06291a4eba6c39a601c798414c2fb47c92f14df6e302623c1d5a5523edfdd9c977bf579 SHA512 bf7c30313737792eea1506855aa166cac63fcba48b764ec5e5b2313c9c66fe48970cfeef1f7405f329db715ee0b9d49ff4550d6d69ccd4c7db09923e77bcbe8d
DIST botocore-1.29.40.gh.tar.gz 11081508 BLAKE2B f303b055083d41646367ed8d1c72cbb51cd229d5a2e5268265e90ed9ddb1fe99bc314b1ca5ed44e537b4056e7f2cf14acf610e2d2b448419b7b735e26c57f81d SHA512 ad8c90fd4a6de0ef28bd48a870a5918ad12cc842b7c5abbc1fdd77a1a0dc9231f40ef76eab5f367009bb590437e2c109d40883cec2af961f379345d5da89b761
+DIST botocore-1.29.41.gh.tar.gz 11082628 BLAKE2B a42a66299715159e82bb7bd9ceb5d1d60e88bfe2f59f66231605c909b03110ec18e6f946690c5b33e662fc92719e45fa4cf64ac31176d809908f3574fece5d49 SHA512 b3a5409f3d868c93fd038687d8c864be3c9cacbf4740ba0dd745358cadcce9aa8d76616d7f93316ac14f5f94f18ed42505ec108e2557b234b26c01ca0f3fc22c
EBUILD botocore-1.29.20.ebuild 1898 BLAKE2B 96ba15f9361114f85df2e6d1d2d17a1e1e1e88f9ede3d0dbb528ac195589670eddb17a452353eb3c91014fee6e5737a7e581e0aebd62bc25ff752ffbb22b0572 SHA512 a44a1049cfc316267502dd278d62eb7850a63b94191ac8ea017af4d0836fb6007a41082d14182fd0c679fdc4b5431e0bb2588084b95453fd587de2fffe801882
EBUILD botocore-1.29.29.ebuild 1905 BLAKE2B 27d2867aaea19612f4561f65e9c018f7caa73a78b627988165703230bd47488a99b1b38bfbdf1dae735806a0de9ca9a17db8afb526121f8c5402e97ca659a6b9 SHA512 9aa2a546360c0bc286bfabb5adb2c95af40d4d405d89fc4186856814b9b88d158fa952d82fd42126876270615e88a24820ac61132e8fba8414db4ac01da2f72b
EBUILD botocore-1.29.31.ebuild 1905 BLAKE2B 27d2867aaea19612f4561f65e9c018f7caa73a78b627988165703230bd47488a99b1b38bfbdf1dae735806a0de9ca9a17db8afb526121f8c5402e97ca659a6b9 SHA512 9aa2a546360c0bc286bfabb5adb2c95af40d4d405d89fc4186856814b9b88d158fa952d82fd42126876270615e88a24820ac61132e8fba8414db4ac01da2f72b
@@ -20,5 +21,6 @@ EBUILD botocore-1.29.37.ebuild 1906 BLAKE2B 6bb6097b84adeb172e43d2cccb963d8912fa
EBUILD botocore-1.29.38.ebuild 1906 BLAKE2B 6bb6097b84adeb172e43d2cccb963d8912fa0b3f6d9a59a0a41ef645ceb5cb22e35aaf763a39e0e6905721e68f129f0bd14f01edf8d3706f5b666f3075023fa9 SHA512 1cc91fc5b2e9478efe06571396a67a94c582d2032f7d2c973ec4748a8ce490d2d0218fd8fbf49a94f74617f472040bf58c957f44a69498a0c2d3c47647ca99f6
EBUILD botocore-1.29.39.ebuild 1906 BLAKE2B 6bb6097b84adeb172e43d2cccb963d8912fa0b3f6d9a59a0a41ef645ceb5cb22e35aaf763a39e0e6905721e68f129f0bd14f01edf8d3706f5b666f3075023fa9 SHA512 1cc91fc5b2e9478efe06571396a67a94c582d2032f7d2c973ec4748a8ce490d2d0218fd8fbf49a94f74617f472040bf58c957f44a69498a0c2d3c47647ca99f6
EBUILD botocore-1.29.40.ebuild 1906 BLAKE2B 6bb6097b84adeb172e43d2cccb963d8912fa0b3f6d9a59a0a41ef645ceb5cb22e35aaf763a39e0e6905721e68f129f0bd14f01edf8d3706f5b666f3075023fa9 SHA512 1cc91fc5b2e9478efe06571396a67a94c582d2032f7d2c973ec4748a8ce490d2d0218fd8fbf49a94f74617f472040bf58c957f44a69498a0c2d3c47647ca99f6
+EBUILD botocore-1.29.41.ebuild 1906 BLAKE2B 6bb6097b84adeb172e43d2cccb963d8912fa0b3f6d9a59a0a41ef645ceb5cb22e35aaf763a39e0e6905721e68f129f0bd14f01edf8d3706f5b666f3075023fa9 SHA512 1cc91fc5b2e9478efe06571396a67a94c582d2032f7d2c973ec4748a8ce490d2d0218fd8fbf49a94f74617f472040bf58c957f44a69498a0c2d3c47647ca99f6
EBUILD botocore-9999.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.29.41.ebuild b/dev-python/botocore/botocore-1.29.41.ebuild
new file mode 100644
index 000000000000..36f6e1eb862b
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.41.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/hatchling/Manifest b/dev-python/hatchling/Manifest
index b93d9f3db996..f96a0455bf49 100644
--- a/dev-python/hatchling/Manifest
+++ b/dev-python/hatchling/Manifest
@@ -1,3 +1,5 @@
DIST hatch-hatchling-v1.11.1.gh.tar.gz 367624 BLAKE2B 006f9f9ab266eba7b7e489d4359a9ddb17a6e079c31e189662da8c4d090884eeae4bf108301d5c315d823e92cb813841e41211cc55618f4ee9109bccdde61e1e SHA512 7bdf5a2930950503dbe534f6ead724ed84420193ba55137600a5b98a085e94588e333bb5a14ad944746dc400522ebbea4849718686420fd6ed7de3d6e8852d8e
+DIST hatch-hatchling-v1.12.0.gh.tar.gz 379902 BLAKE2B 831ab78bff6a039a1941ca171aaccbfb97d1d31c14505d3dde60ee4283b317cc80b6e6072b63fe9e69cccbf759bf4f7db6a371502451ffa5303547273e8d2341 SHA512 40c1684bcc730e809cdbda9d15494f07bead69b1b4bf9c98a1d2a84d2053bb7b104d6bcab1e72a4de66081dd839b7ccae96d877760353e3528e8676cea5d2a5c
EBUILD hatchling-1.11.1.ebuild 2082 BLAKE2B 0f9d32f0b2ca899bb82c4d409b438345c9596ff2a87f789ee941ca0e31e03405755e80ef98e7fd9c0995083966db741f0a31e9d211a6f3c5f0c54b701848a709 SHA512 ab4353e61b1ac31137819b304eb2e1b2990cec970dedc401dd67b4bb46fbb60d3f1d7d3f00f4ef2ae773f674d94bdc1afe454a519742922787ca104f99fc088e
+EBUILD hatchling-1.12.0.ebuild 2090 BLAKE2B bcd3d25d3065cd4ddbab031c8390a4e8fd74003ef491f384d7809af875c2bcd3b4870256639ed1ece8cc307e2d604dab8210f960a5cbdb51f83df8b9d7612096 SHA512 e25eed96a2cbd215e7702c7bf70cb81f288916e8ba6b32b6fce11967b92778a65cb53508910b47b10d8a5c3ca779492a636cfcb137bab705050fc77c5be65307
MISC metadata.xml 365 BLAKE2B 5a40a6cf6df042e6e8387830babd0171c9d8bc5d490fe2175b83d1588d827e826b49044ef29de48553515996b742fc475bb9699dcfa8ec05229162b22e0ed317 SHA512 f11bb25bc12c2bb0b0a0a4691115b9a2af525d9e44b33e0d6db98c7fcef0b49b5989fb7574ee8b27bc88f1dd2543bfdd492a6614de172e2c4edabbee8bf6161e
diff --git a/dev-python/hatchling/hatchling-1.12.0.ebuild b/dev-python/hatchling/hatchling-1.12.0.ebuild
new file mode 100644
index 000000000000..20362b7c383c
--- /dev/null
+++ b/dev-python/hatchling/hatchling-1.12.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( pypy3 python3_{8..11} )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+
+inherit distutils-r1
+
+TAG=${P/-/-v}
+MY_P=hatch-${TAG}
+DESCRIPTION="Modern, extensible Python build backend"
+HOMEPAGE="
+ https://pypi.org/project/hatchling/
+ https://github.com/pypa/hatch/
+"
+SRC_URI="
+ https://github.com/pypa/hatch/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/backend
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# deps are listed in backend/src/hatchling/ouroboros.py
+RDEPEND="
+ >=dev-python/editables-0.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/pathspec-0.10.1[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-1.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/atomicwrites[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local -x EPYTEST_DESELECT=(
+ # these run pip to install stuff
+ tests/backend/dep/test_core.py::test_dependency_found
+ tests/backend/dep/test_core.py::test_extra_met
+ tests/backend/dep/test_core.py::test_extra_no_dependencies
+ tests/backend/dep/test_core.py::test_extra_unmet
+ tests/backend/dep/test_core.py::test_unknown_extra
+ tests/backend/dep/test_core.py::test_version_unmet
+ )
+
+ # top-level "tests" directory contains tests both for hatch
+ # and hatchling
+ cd "${WORKDIR}/${MY_P}" || die
+ local -x PYTHONPATH="src:${PYTHONPATH}"
+ epytest tests/backend
+}
diff --git a/dev-python/lz4/Manifest b/dev-python/lz4/Manifest
index 503ae6e32a75..d90701745b26 100644
--- a/dev-python/lz4/Manifest
+++ b/dev-python/lz4/Manifest
@@ -1,5 +1,7 @@
DIST lz4-4.0.2.tar.gz 164309 BLAKE2B ea08c9786ee224aaf668a74269413c836a4288ab1a3c27497012621bdda9c8c1729c4cb6ba49cb74e7e5302fabbfddba94f8ed94a9612fdf21018a5cbdc70566 SHA512 f2fdd133b9c7389cd7d45b41e61944093b65bcbf529146740fa3721e683a9b4554166c2ad719298e6153e61facc4a4cb021ffd969cd16d4a5b6555fd8f14728f
DIST lz4-4.3.1.tar.gz 170970 BLAKE2B dcc2f67860f60a7805c2d302aca3b610198e128e2dbd1c54d78ffb65c4baec3cf4ab7dfe2aebf713397e67d9c8b9a95a0dbb493c16692f2591d657bfe1a3da43 SHA512 4dbb3179892d44fe7d7b5280931c39434d28f5750b4588a16a5547588c756e4279daf8a5f0edcfaf958c7cb25e65188c0a9bb36509d0dc7a7083072a19ee6d55
+DIST lz4-4.3.2.tar.gz 170869 BLAKE2B bd6ddcb7294cbfaf2a2a0de78c49434956c376a38de08b457283684ac3e7b394da1e7964221de44bb91197511a40fda9103ec53478437daa4460d7fabeaef5a1 SHA512 c2e7d3ec0954110c9b21e562147e80c8abddd21ebb213491d1072454834151a0f3a0935c0f3eebec34c024fe6e79136ccf6363dcb5390aa03cb52489fcb4113c
EBUILD lz4-4.0.2.ebuild 845 BLAKE2B 29d2fb2769362cfabf157882f7c75e790f0ad390a9d1b6c1d51ea7e6421aebe73419a366bc20f717e364d86e4c0854029c31c619e3947f8afcee673c78e9df9c SHA512 e5574d41eae03b184952862dff8cc36b14684358b5ce4a6d30c45449ddd6e499f45e536625b1f04c5ea105b522df87187c37132e29e3561f32fbe2e7330f2a60
EBUILD lz4-4.3.1.ebuild 854 BLAKE2B dcbec0b2284927a0a4a512be0125a0e5b9245e9a0e5517545afcf1599f95fb5606438c1007271c141e4889a5a986e1f8fb4ee62b9d1127a36bedae83fb8c11b8 SHA512 d044f9d8c035e08a44b259ce7ba6038ade49fa3fd23062de7ca9b57b6897fe9a4a3bd1cc012a61f063bf153461a2a9ed69c5c7bbd0c697cff50eacd921d84780
+EBUILD lz4-4.3.2.ebuild 854 BLAKE2B dcbec0b2284927a0a4a512be0125a0e5b9245e9a0e5517545afcf1599f95fb5606438c1007271c141e4889a5a986e1f8fb4ee62b9d1127a36bedae83fb8c11b8 SHA512 d044f9d8c035e08a44b259ce7ba6038ade49fa3fd23062de7ca9b57b6897fe9a4a3bd1cc012a61f063bf153461a2a9ed69c5c7bbd0c697cff50eacd921d84780
MISC metadata.xml 454 BLAKE2B b02d4acc9eb7d4fb35bf36371cb660d099c77f807fc08fc351b7e0e1d2e0199fdab82d83bb6bc31a56bfdb9a5b020b2f57aa9b89b59a7e5c22fcce554b6b0859 SHA512 a1b61eb4d3ce636b10abcff25ee3315bf5ecb3bdee58e1c45ff99f0b40717b13e3a8ec33c9abcb926bd716990a31749b1bf6729d8137b7859857318c386a8ec7
diff --git a/dev-python/lz4/lz4-4.3.2.ebuild b/dev-python/lz4/lz4-4.3.2.ebuild
new file mode 100644
index 000000000000..358b79f49818
--- /dev/null
+++ b/dev-python/lz4/lz4-4.3.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="LZ4 Bindings for Python"
+HOMEPAGE="
+ https://github.com/python-lz4/python-lz4/
+ https://pypi.org/project/lz4/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ app-arch/lz4:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ dev-python/pkgconfig[${PYTHON_USEDEP}]
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # lz4.stream is not officially supported and not installed by default
+ # (we do not support installing it at the moment)
+ tests/stream
+)
diff --git a/dev-python/pip-run/Manifest b/dev-python/pip-run/Manifest
index 770d64afeae2..0527252412d7 100644
--- a/dev-python/pip-run/Manifest
+++ b/dev-python/pip-run/Manifest
@@ -1,7 +1,9 @@
+DIST pip-run-10.0.1.gh.tar.gz 25236 BLAKE2B 319f67420f44c4df1ea950f920de16f3187f1465c619fb628123a07ce56b3c63c96490cc9705f38f273a6fe71d868c9cb31193236af50aff903a34755991a241 SHA512 d4ddca5395a1be291b763555f7d634f5740515167bb38f670b1c3af81d7196e1e084b5659f0d981f2328adb340632bfd452e2913f3d56ea012a2587623b28364
DIST pip-run-9.0.0.gh.tar.gz 23171 BLAKE2B ca1bee27f4d1826029aa2520dbad9807d22ce66326fd917f0b7687284ce3daf9abcd45e593d735633fb86186ea88ffa0b71780f9b56e27458798763db309bd9d SHA512 117b2260fe628dcc5aae47335ab645c2db47ca9b4d5cd0446ef11bb399c0e91df3a32b61aa7a228aca4d7b837228ddb41fe010896f7debf5fbca6111398cce73
DIST pip-run-9.2.1.gh.tar.gz 24104 BLAKE2B ebb26cd5356a5919d74c6601b36deed0046c0d67d7533f5817b62b7b7ba74240ef44dd2425be7143f8432d3f8a3f611a051f099b6059e64479eadd77e8f39b45 SHA512 f320da7641817df5c9418094fb49792e3368907ddac551ef22d97ab45b5183cb84f40338da106d5a47d238ca68ca376cbfc6d6c3528b9fca1db02bf910bd3d28
DIST pip-run-9.4.0.gh.tar.gz 25821 BLAKE2B 8d4d9712f0563d3edf8d963e14221fde89cffc14c3fb26afc2b18bdeca9917cacb27c88a815d398d2b67f10112e888c9f60b497c3c1bf59d0105a4c972aef15d SHA512 c266e6eb30f21ddfd89cc25dee5c56542b3734497d59315751c190e7bd985c6746b95802255ec05da19d5cec8822f4fa169eba4218989013e36a2c118d560f4d
DIST pip-run-9.5.0.gh.tar.gz 25620 BLAKE2B 156b33f6978ae7c26e4f73be931f887b0a6d793414dee5b69290b88eb849b487d366ce722d6cc6eb58a10074c779cf7dd4bbbdf192bb57494757a6f9c11adbee SHA512 5f1a59e60203dc5e5fd818687112f23ef93117af315161a4ce31e2de183e097aa205af12bd81f45aac91ab2b6a18fbd6a0275b9ad3ce3a7942140b345f49a7a9
+EBUILD pip-run-10.0.1.ebuild 1302 BLAKE2B f976ddcb2331aa70ac14537fcada5012cfaae7cf6b0d69896256b80e3f558e3bd69354f4dbf9faed4695e74cef570c68a3bb8fb2620ba8eb1903fffcee2a1695 SHA512 e39b8375e9ea952adfc39b395c74667873b211d8d3ddf529acb3db96ec9553dbd99dec0ea04df8435842fe4d32d8dc34cca44e831f0d4f564f20bbd9fe22dd2a
EBUILD pip-run-9.0.0.ebuild 963 BLAKE2B e176a68ad10beab276e7150bd917d9d3dd5507e8000932e6afae6bc662838af36d5f377b9515208b12e4464eb5fbc2c137c1f1531e3891eb616d7f96c4b9c56a SHA512 7f72c4b7def3b9b29fa49dffe2accb678a696f9742846e2a812908f1bba2039867a003f45f005d2f61a1c7604c1f100ff447601a05e5718b8651454737f87191
EBUILD pip-run-9.2.1.ebuild 1144 BLAKE2B f521960057405acc8f2ed3e52b051e90da48a3655d344776956602ef749543289eb30879acf63fdfd8065cc1edd6ff00ff908bfc3731ff7733f47d7e9dcf11fd SHA512 5822639fa79991d6a9b09ab296e94dbbb5d1f31f75ee3c4de74a141603ee9ff542f5ad9229b71fc9711abb088ac5b982987d3a62fe0178bb5bd4242cb8dce8a7
EBUILD pip-run-9.4.0.ebuild 1187 BLAKE2B 327330f7d8a2dff27d8cc73f04c7a11c3ac78819abdd343bd5cb6634bd59f79e17849c0dacbb2dfddbc2c8aee9d68e68bf2e36886f07ade3065f2c991bfff7af SHA512 ca895f4f7849d554d280ab6b87fd64506bba42a76d0695af9501d1a9e223e9f45e6a510eabc5ca3bd88e88ea76754521245dde55cba18d123e6f5bebd5811693
diff --git a/dev-python/pip-run/pip-run-10.0.1.ebuild b/dev-python/pip-run/pip-run-10.0.1.ebuild
new file mode 100644
index 000000000000..98266e7e28e5
--- /dev/null
+++ b/dev-python/pip-run/pip-run-10.0.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Install packages and run Python with them"
+HOMEPAGE="
+ https://github.com/jaraco/pip-run/
+ https://pypi.org/project/pip-run/
+"
+SRC_URI="
+ https://github.com/jaraco/pip-run/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+
+RDEPEND="
+ dev-python/autocommand[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' 3.8)
+ dev-python/jaraco-context[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/jaraco-text[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.3[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/path[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jaraco-path[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-test-5.2[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # Needs network access, and another test dep nbformat
+ tests/test_scripts.py
+)
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/rich/Manifest b/dev-python/rich/Manifest
index dbd9da7edc9f..5edcfd9f2c2f 100644
--- a/dev-python/rich/Manifest
+++ b/dev-python/rich/Manifest
@@ -1,3 +1,5 @@
DIST rich-12.6.0.gh.tar.gz 15056457 BLAKE2B 58367ef0acb61d68931ea0394ea458e29b3bb59726c6b95d4b179553183c5cef2766484e0d040203181aad927add70198fb3483bfe6113e20851db141de3a867 SHA512 e05a0ad1d6b4f1e4f7e5e3d09c70d5892a618707ae0952e34274c5ffb18a833fe85a4ac15024cc34915515b63059c02f0df32a6c97cbe91e9ac96928c7134fb0
+DIST rich-13.0.0.gh.tar.gz 15065008 BLAKE2B b2b323b633e6600dd1595c1769daf3659b2d7cf6f98fe91ca9e083c24bc3de9de79b27de08144ab7acaa3634cc588f1548d73536555a06f1b4832f91c978ab9a SHA512 6837aad1015318c0a017000ba60cea0b4b06e85b7fb9650e90ed87ca8dedd3bf3369c5520571661123aee099380445eefa6b30002f0290c2160540a49433bb91
EBUILD rich-12.6.0.ebuild 1566 BLAKE2B b94f72c62cc0f9fa817457124f92ddf4afa1a476fdcb71e255cb84ace59d057f98781c8eb7199c4bb71377068f8a7f1dbb609d4632e20c545669dc43c1130e69 SHA512 4ae59947e8f807511653a5a334f85377327d388475385161e89c1275a261ffe6364e1bf51e4b63088e39889f448238fcead2e26864479d9af87baf91ae2636dc
+EBUILD rich-13.0.0.ebuild 1189 BLAKE2B befb7416aac279d8d03c54c40430643a882294f60d07d578e9304b10766051e22e207a79196941d0caae6251db2dd7ae380bb048fb39c4cb6cc7b236060df7f4 SHA512 7a8ac0592d4ef7403a368a0fccbd6771bd3c828451dc45144686a2a430004ac40eab22caa0702e7bca542da7ec24fe2af10eb590068a681f1afa8b56ca71ee24
MISC metadata.xml 387 BLAKE2B 049491e034ba233f33c76dc5e3f1b887ba5d2da9d65b09bda51a7cf4eb30a9c66f3ddf714f52407a73e51da78523084064bccd4fc687e0bc0fc2b32dbb4c513b SHA512 448ce879331748e3166f670981a27ee5c3ef20b51af442ccc684cb6514c0d6a0d4e433a8bc1ddb3bdf68c734bac013c1ba04d38adf90644b062231ab1c1d2c0b
diff --git a/dev-python/rich/rich-13.0.0.ebuild b/dev-python/rich/rich-13.0.0.ebuild
new file mode 100644
index 000000000000..5f6ee739ea12
--- /dev/null
+++ b/dev-python/rich/rich-13.0.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for rendering rich text, tables, etc. to the terminal"
+HOMEPAGE="
+ https://github.com/Textualize/rich/
+ https://pypi.org/project/rich/
+"
+SRC_URI="
+ https://github.com/Textualize/rich/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/commonmark[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x COLUMNS=80
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_console.py::test_size_can_fall_back_to_std_descriptors
+ tests/test_inspect.py::test_inspect_integer_with_methods_python38_and_python39
+ )
+ epytest -p no:pytest-qt
+}
+
+pkg_postinst() {
+ optfeature "integration with HTML widgets for Jupyter" dev-python/ipywidgets
+}
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 6193289a9140..c02dc6887231 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -2,8 +2,10 @@ DIST tox-3.27.1.gh.tar.gz 309006 BLAKE2B fa8aaa9cd5b03e54c166bb6b748290420b91498
DIST tox-3.28.0.gh.tar.gz 309472 BLAKE2B 9896411426f6aebb3efa468c01696ecc5f17ec3e67825672d0efc74c1b1468bc8b8d9c14b6177c181750ba4b9a5e77d616068dd83e21f5641acfc8e2a271cc1f SHA512 64816754e6800661bb564c5c7d21c4139522d540a04fafe3c4591d596072d48d1cbe0ee2abee9c8faf3d5007774f5371431b5a7a8f49912bc879c7b168aab2ca
DIST tox-4.0.19.gh.tar.gz 284319 BLAKE2B f0ed3d300e0fadfaa5725589cea91511ed0c37937dc3761b203cfd1f0a5cf4033b6006e693521c932d3af64feb150951c046f5853a8b9bb9e37dcf3c5db4de95 SHA512 27d01b96acf4f7650b5a4a3ad80293ea884ee6791ff2e734cb64c94551943af1fb91804944f7ae82937fe4172522c0d5e4f24e84d35012d11657adc49702fc88
DIST tox-4.1.1.gh.tar.gz 285048 BLAKE2B 78f810889102328a9b1e56d86b2f5d833311a5148fe9eca0f2076892d4ef15c6eee8fdf58c5390a273842cd3f0c50731fc82f10a54a025b6802526711513453b SHA512 7367a2ac9d2233d96affff7cfd357fad516661834db31aee740d77983977ad6136a58c2979eaafbc504844f6ec5bbeeed9b5bd67ba53f2b7d24cf5d83e59d42b
+DIST tox-4.1.2.gh.tar.gz 286306 BLAKE2B 67e52bf01c383e255b22c5c71eecf01d4a041cf4c4399df60451c74acd79bbd1b30f787bcf4f10896804ca1b0cc8b02f6ff4d5e0b7e7ac64284da33f09c95bc9 SHA512 7ff44624c26d609c33dce2cec5bd177caf70b8628f64c48f1fae5130001c508b82079ea4f2487cf8d10b371d0b95cc998c21c47a5080e964db40a3ebafe01a93
EBUILD tox-3.27.1.ebuild 1916 BLAKE2B ab2496317d588c05936d57132d1c759c9a14f18c10fb50d6188b7bee5bd20de9f06b5d8945a908cbf021f4b7036ba6d23dcf19aad63af9d6cd6bf6baa598ad32 SHA512 b038f9976de8af46ac663faa169a06fad1bd28ef61738679fd70faa5e655c0c85ed3a8e4efddee2dd2aff8cc3fe9f5ec133311d122c6bab15c487a5a074a6c11
EBUILD tox-3.28.0.ebuild 1924 BLAKE2B d2a5ac59691e8ad704bb64840925d192df827d533c2b17bafa31b95da83a235c28109e911f78e294b12924a99114adad5bbe44cbba67fe8d2d584c9839a70d59 SHA512 aa919c8b15403b9992a772bf0296f4cae2bef39c4ded509f732a13869504f7af15cf43f26c9f401e31794c481a5e1dc4e91c18e65c31a4e159d7b9a2cb1c99ea
EBUILD tox-4.0.19.ebuild 2401 BLAKE2B c637640a6adefa4dce637fb723174ca35d3214c8a4f656cdd8558aeebc2f3ba0e826473131a852a330cb5d26201d58eba226c0bb7a407c783c6e76d98abbc67d SHA512 568a571e2c2d68f3fb4f8783a00a19d76a18a9cb8e481411005461d474582199d82e8a1830b531bb52950ba7ed850330d09e37a520a77ee9b875c6d091e4eb0d
EBUILD tox-4.1.1.ebuild 2401 BLAKE2B c637640a6adefa4dce637fb723174ca35d3214c8a4f656cdd8558aeebc2f3ba0e826473131a852a330cb5d26201d58eba226c0bb7a407c783c6e76d98abbc67d SHA512 568a571e2c2d68f3fb4f8783a00a19d76a18a9cb8e481411005461d474582199d82e8a1830b531bb52950ba7ed850330d09e37a520a77ee9b875c6d091e4eb0d
+EBUILD tox-4.1.2.ebuild 2544 BLAKE2B 85faecef83b45b694a687b56e6f74742586dba2aa9f3aa182c7d01d8631c96fc8eeec1cab06a6f106ab04dddda6ff33404e127f9f2be8589eba07bc1d8db2b72 SHA512 d97587a61552a3d7624b9299fda1f4e5fb9954cb2f9e239972d82022ee6e4e4024626daf99e5a23825d6a941e52edbc466fe95d8691d3116a629450c8ae93cc4
MISC metadata.xml 382 BLAKE2B 7c0704c5c187ce4a7972fe0372b23c5537a81a8d62fd83436d9558a61761f10764adb5a4d5f6795f0dd1fe905afa604c0be77fe1d48d291847f6ae65dc1b032c SHA512 9d0ced4df9352a81034a50d5766a01534ae8fa889985d99cc9e2a8d0889e31c6c11550677d9a5a74e2aab57c320192ce3a42708a6d23b0419ee34a6054398344
diff --git a/dev-python/tox/tox-4.1.2.ebuild b/dev-python/tox/tox-4.1.2.ebuild
new file mode 100644
index 000000000000..f92b0ec6e7c9
--- /dev/null
+++ b/dev-python/tox/tox-4.1.2.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+ https://tox.readthedocs.io/
+ https://github.com/tox-dev/tox/
+ https://pypi.org/project/tox/
+"
+SRC_URI="
+ https://github.com/tox-dev/tox/archive/${PV/_}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc"
+
+RDEPEND="
+ >=dev-python/cachetools-5.2[${PYTHON_USEDEP}]
+ >=dev-python/chardet-5.1[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.8.2[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.6[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-1[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-api-1.2.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ >=dev-python/virtualenv-20.17.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/distlib-0.3.6[${PYTHON_USEDEP}]
+ >=dev-python/flaky-3.7[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.9.4[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-3.1[${PYTHON_USEDEP}]
+ >=dev-python/re-assert-1.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/time-machine-2.8.2[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+ # the minimal bounds in tox are entirely meaningless and new packaging
+ # breaks setuptools
+ sed -i -e '/packaging/s:>=22::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # devpi_process is not packaged, and has lots of dependencies
+ cat > "${T}"/devpi_process.py <<-EOF || die
+ def IndexServer(*args, **kwargs): raise NotImplementedError()
+ EOF
+
+ local -x PYTHONPATH=${T}:${PYTHONPATH}
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+ )
+ local EPYTEST_IGNORE=(
+ # requires devpi*
+ tests/test_provision.py
+ )
+ if ! has_version "dev-python/time_machine[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/util/test_spinner.py
+ )
+ fi
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ EPYTEST_DESELECT+=(
+ 'tests/tox_env/python/test_python_api.py::test_list_installed_deps[True]'
+ )
+ fi
+
+ epytest
+}